Diagnostics
Collaboration diagram for Diagnostics:

## Modules

| Exceptions

## Classes

class | std::_V2::error_category
class | std::error_code
class | std::error_condition
struct | std::is_error_code_enum< _Tp >
struct | std::is_error_condition_enum< _Tp >

## Functions

const error_category & | std::generic_category () noexcept
error_condition | make_error_condition (errc __e) noexcept
bool | operator!= (const error_code &__lhs, const error_code &__rhs) noexcept
bool | operator!= (const error_code &__lhs, const error_condition &__rhs) noexcept
bool | operator!= (const error_condition &__lhs, const error_code &__rhs) noexcept
bool | operator!= (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool | operator< (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool | operator== (const error_code &__lhs, const error_code &__rhs) noexcept
bool | operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
bool | operator== (const error_condition &__lhs, const error_code &__rhs) noexcept
bool | operator== (const error_condition &__lhs, const error_condition &__rhs) noexcept
const error_category & | std::system_category () noexcept

## Variables

template<typename _Tp >
constexpr bool | std::is_error_code_enum_v
template<typename _Tp >
constexpr bool | std::is_error_condition_enum_v
error_code | std::make_error_code (errc) noexcept
error_condition | make_error_condition (errc) noexcept
error_code | make_error_code (errc __e) noexcept

## Detailed Description

Components for error handling, reporting, and diagnostic operations.

## Function Documentation

## generic_category()

const error_category & std::_V2::generic_category | ( |  | ) |

noexcept

Error category for `errno` error codes.

## make_error_code()

error_code make_error_code | ( | errc | __e | ) |

related

Definition at line 256 of file system_error.

## make_error_condition()

error_condition make_error_condition | ( | errc | __e | ) |

related

Create an `error_condition` representing a standard `errc` condition.

Definition at line 355 of file system_error.

## operator!=() [1/4]

bool operator!= | ( | const error_code & | __lhs,
|  | const error_code & | __rhs
| ) |  |

related

Definition at line 416 of file system_error.

## operator!=() [2/4]

bool operator!= | ( | const error_code & | __lhs,
|  | const error_condition & | __rhs
| ) |  |

related

Definition at line 421 of file system_error.

## operator!=() [3/4]

bool operator!= | ( | const error_condition & | __lhs,
|  | const error_code & | __rhs
| ) |  |

related

Definition at line 426 of file system_error.

## operator!=() [4/4]

bool operator!= | ( | const error_condition & | __lhs,
|  | const error_condition & | __rhs
| ) |  |

related

Definition at line 431 of file system_error.

## operator<()

bool operator< | ( | const error_condition & | __lhs,
|  | const error_condition & | __rhs
| ) |  |

related

Define an ordering for error_condition objects.

Definition at line 397 of file system_error.

## operator==() [1/4]

bool operator== | ( | const error_code & | __lhs,
|  | const error_code & | __rhs
| ) |  |

related

Definition at line 362 of file system_error.

## operator==() [2/4]

bool operator== | ( | const error_code & | __lhs,
|  | const error_condition & | __rhs
| ) |  |

related

Definition at line 368 of file system_error.

## operator==() [3/4]

bool operator== | ( | const error_condition & | __lhs,
|  | const error_code & | __rhs
| ) |  |

related

Definition at line 408 of file system_error.

## operator==() [4/4]

bool operator== | ( | const error_condition & | __lhs,
|  | const error_condition & | __rhs
| ) |  |

related

Definition at line 376 of file system_error.

## system_category()

const error_category & std::_V2::system_category | ( |  | ) |

noexcept

Error category for other error codes defined by the OS.

## Variable Documentation

## is_error_code_enum_v

template<typename _Tp >

constexpr bool std::is_error_code_enum_v

inline constexpr

Definition at line 72 of file system_error.

## is_error_condition_enum_v

template<typename _Tp >

constexpr bool std::is_error_condition_enum_v

inline constexpr

Definition at line 75 of file system_error.